# Class LowerStarterMaxCostChallenge

Lowers the amount of starter points available.

#### Hierarchy (view full)

- Challenge
  - LowerStarterMaxCostChallenge

- Defined in src/data/challenge.ts:445

#####
Index

### Constructors

constructor

### Properties

challengeTypes
conditions
id
maxSeverity
maxValue
severity
value

### Methods

addChallengeType
apply
condition
decreaseSeverity
decreaseValue
getDescription
getDifficulty
getMinDifficulty
getName
getValue
geti18nKey
hasSeverity
increaseSeverity
increaseValue
isOfType
isUnlocked
reset
loadChallenge

## Constructors

### constructor

- new LowerStarterMaxCostChallenge(): LowerStarterMaxCostChallenge

- #### Returns LowerStarterMaxCostChallenge

  Overrides Challenge.constructor

  - Defined in src/data/challenge.ts:446

## Properties

### challengeTypes

challengeTypes: ChallengeType []

Inherited from Challenge.challengeTypes

- Defined in src/data/challenge.ts:61

### conditions

conditions: ChallengeCondition[]

Inherited from Challenge.conditions

- Defined in src/data/challenge.ts:60

### id

id: Challenges

Inherited from Challenge.id

- Defined in src/data/challenge.ts:53

### maxSeverity

maxSeverity: number

Inherited from Challenge.maxSeverity

- Defined in src/data/challenge.ts:58

### maxValue

maxValue: number

Inherited from Challenge.maxValue

- Defined in src/data/challenge.ts:56

### severity

severity: number

Inherited from Challenge.severity

- Defined in src/data/challenge.ts:57

### value

value: number

Inherited from Challenge.value

- Defined in src/data/challenge.ts:55

## Methods

### addChallengeType

- addChallengeType(challengeType): Challenge

- Adds a challenge type to this challenge.

  #### Parameters

  - challengeType: ChallengeType

    The challenge type to add.

  #### Returns Challenge

  This challenge

  Inherited from Challenge.addChallengeType

  - Defined in src/data/challenge.ts:127

### apply

- apply(challengeType, args): boolean

- Modifies the data or game state in some way to apply the challenge.

  #### Parameters

  - challengeType: ChallengeType

    Which challenge type this is being applied for.

  - args: any[]

    Irrelevant. See the specific challenge's apply function for additional information.

  #### Returns boolean

  Overrides Challenge.apply

  - Defined in src/data/challenge.ts:461

### condition

- condition(condition): Challenge

- Adds an unlock condition to this challenge.

  #### Parameters

  - condition: ChallengeCondition

    The condition to add.

  #### Returns Challenge

  This challenge

  Inherited from Challenge.condition

  - Defined in src/data/challenge.ts:107

### decreaseSeverity

- decreaseSeverity(): boolean

- Decrease the severity of the challenge

  #### Returns boolean

  Returns true if the value changed

  Inherited from Challenge.decreaseSeverity

  - Defined in src/data/challenge.ts:199

### decreaseValue

- decreaseValue(): boolean

- Decrease the value of the challenge

  #### Returns boolean

  Returns true if the value changed

  Inherited from Challenge.decreaseValue

  - Defined in src/data/challenge.ts:180

### getDescription

- getDescription(overrideValue?): string

- Returns the description of a challenge's current value.

  #### Parameters

  - `Optional` overrideValue: number

    The value to check for. If undefined, gets the current value.

  #### Returns string

  The localised description for the current value.

  Inherited from Challenge.getDescription

  - Defined in src/data/challenge.ts:157

### getDifficulty

- getDifficulty(): number

- Gets the "difficulty" value of this challenge.

  #### Returns number

  The difficulty value.

  Inherited from Challenge.getDifficulty

  - Defined in src/data/challenge.ts:223

### getMinDifficulty

- getMinDifficulty(): number

- Gets the minimum difficulty added by this challenge.

  #### Returns number

  The difficulty value.

  Inherited from Challenge.getMinDifficulty

  - Defined in src/data/challenge.ts:231

### getName

- getName(): string

- #### Returns string

  The localised name of this challenge.

  Inherited from Challenge.getName

  - Defined in src/data/challenge.ts:136

### getValue

- getValue(overrideValue?): string

- #### Parameters

  - `Optional` overrideValue: number

  #### Returns string

  Overrides Challenge.getValue

  - Defined in src/data/challenge.ts:454

### geti18nKey

- geti18nKey(): string

- Gets the localisation key for the challenge

  #### Returns string

  The i18n key for this challenge

  Inherited from Challenge.geti18nKey

  - Defined in src/data/challenge.ts:89

### hasSeverity

- hasSeverity(): boolean

- Whether to allow choosing this challenge's severity.

  #### Returns boolean

  Inherited from Challenge.hasSeverity

  - Defined in src/data/challenge.ts:191

### increaseSeverity

- increaseSeverity(): boolean

- Increase the severity of the challenge

  #### Returns boolean

  Returns true if the value changed

  Inherited from Challenge.increaseSeverity

  - Defined in src/data/challenge.ts:211

### increaseValue

- increaseValue(): boolean

- Increase the value of the challenge

  #### Returns boolean

  Returns true if the value changed

  Inherited from Challenge.increaseValue

  - Defined in src/data/challenge.ts:168

### isOfType

- isOfType(challengeType): boolean

- If this challenge is of a particular type

  #### Parameters

  - challengeType: ChallengeType

    The challenge type to check.

  #### Returns boolean

  This challenge

  Inherited from Challenge.isOfType

  - Defined in src/data/challenge.ts:118

### isUnlocked

- isUnlocked(data): boolean

- Used for unlockable challenges to check if they're unlocked.

  #### Parameters

  - data: GameData

    The save data.

  #### Returns boolean

  Whether this challenge is unlocked.

  Inherited from Challenge.isUnlocked

  - Defined in src/data/challenge.ts:98

### reset

- reset(): void

- Reset the challenge to a base state.

  #### Returns void

  Inherited from Challenge.reset

  - Defined in src/data/challenge.ts:80

### `Static` loadChallenge

- loadChallenge(source): LowerStarterMaxCostChallenge

- Clones a challenge, either from another challenge or json. Chainable.

  #### Parameters

  - source: any

    The source challenge of json.

  #### Returns LowerStarterMaxCostChallenge

  This challenge.

  Overrides Challenge.loadChallenge

  - Defined in src/data/challenge.ts:478